# Interface Network

#### Hierarchy

- Network

- Defined in packages/db/typings/schema.d.ts:602

#####
Index

### Properties

ancestors
descendants
genesis
historicBlock
id
name
networkId
possibleAncestors
possibleDescendants
type

## Properties

### ancestors

ancestors: DataModel.Network[]

- Defined in packages/db/typings/schema.d.ts:607

### descendants

descendants: DataModel.Network[]

- Defined in packages/db/typings/schema.d.ts:608

### genesis

genesis: DataModel.Network

- Defined in packages/db/typings/schema.d.ts:606

### historicBlock

historicBlock: Block

- Defined in packages/db/typings/schema.d.ts:605

### id

id: string

- Defined in packages/db/typings/schema.d.ts:611

### name

name: string

- Defined in packages/db/typings/schema.d.ts:603

### networkId

networkId: any

- Defined in packages/db/typings/schema.d.ts:604

### possibleAncestors

possibleAncestors: CandidateSearchResult

- Defined in packages/db/typings/schema.d.ts:609

### possibleDescendants

possibleDescendants: CandidateSearchResult

- Defined in packages/db/typings/schema.d.ts:610

### type

type: string

- Defined in packages/db/typings/schema.d.ts:612

Generated using TypeDoc